Skip to main content
GET
/
me
Get the authenticated user's profile.
curl --request GET \
  --url https://api.streamloop.app/v1/me \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "avatarURL": "<string>",
  "defaultStreamDuration": 123,
  "email": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "locale": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth 2.1 authorization-code flow with PKCE.

Response

object | null

Successful response.

createdAt
string<date-time>
required
id
string
required
role
enum<string>
required
Available options:
admin,
user,
operator
avatarURL
string | null
defaultStreamDuration
integer | null

Default stream duration in seconds. 0 = never expires, null = system default

email
string | null
firstName
string | null
lastName
string | null
locale
string | null

User UI locale preference (BCP-47-like, e.g. "en-US"). nil = system default.